# -*-coding:utf-8 -*- #
# --------------------------------------------------------------------------
# ProjectName: protest
# FileName: __init__.py
# Author: xiao tian
# Datetime: 2025/5/9 16:54
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# --------------------------------------------------------------------------
import functools
import logging
import os.path
import time


def __loger(file_path):
    logger = logging.getLogger()
    logger.level = logging.INFO
    handler = logging.FileHandler(file_path,mode="a",encoding="utf-8")
    formatter = logging.Formatter('时间:%(asctime)s - 日志级别:%(levelname)s, 日志信息:%(message)s')
    handler.setFormatter(formatter)
    logger.addHandler(handler)
    return logger

log_dir = os.path.join(os.path.join(os.path.dirname(__file__),"report"),"log")
log_name = "BPMAPITEST" + time.strftime("%Y_%m_%d_%H_%M_%S",time.localtime()) +".log"
log_path = os.path.join(log_dir,log_name)

__log = __loger(log_path)

# 定义日志的装饰器
def log_decorator(param):
    @functools.wraps(param)
    def inner(*args,**kwargs):
        __log.info(f"执行的功能为:{param.__name__},功能的描述为：{param.__doc__},所在的文件为:{param.__code__.co_filename},所在的行为:{param.__code__.co_firstlineno}")
        try:
            res = param(*args,**kwargs)
        except Exception as e:
            __log.error(f"执行的功能为：{param.__name__}, 功能的描述为：{param.__doc__}, 所在的文件为：{param.__code__.co_filename}, 所在的行为：{param.__code__.co_firstlineno}.报错，错误为：{type(e)}, 错误的描述为：{e}")
            raise e
        else:
            return  res
    return inner

















