# -*-coding:utf-8 -*- #
# --------------------------------------------------------------------------
# ProjectName: protest
# FileName: read_user_ini.py
# Author: xiao tian
# Datetime: 2025/5/10 09:43
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# --------------------------------------------------------------------------
import configparser
import os

from APIAutoTest_v3test import log_decorator



class ReadUserIni:
    @log_decorator
    def __init__(self,username):
        data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)),"data_config")
        self.user_path = os.path.join(data_config_path,username)
        ini_path = os.path.join(self.user_path,"config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path,encoding="utf-8")

    @log_decorator
    def get_file_path(self,key):
        return os.path.join(self.user_path,self.conf.get("file",key))

    @log_decorator
    def get_table_name(self,key):
        return self.conf.get("table",key)

if __name__ == '__main__':
    ini = ReadUserIni("laowang")
    print(ini.get_file_path("expect"))
    print(ini.get_table_name("table_name"))


